# List all jobs

{% hint style="info" %}
This endpoint requires `su_jobs_r` scope. To display office attributes, it requires `su_offices_r.`
{% endhint %}

## List all jobs

<mark style="color:blue;">`GET`</mark> `https://www.welcomekit.co/api/v1/external/jobs/all`

#### Query Parameters

| Name             | Type    | Description                                         |
| ---------------- | ------- | --------------------------------------------------- |
| stages           | boolean | Returns job stages                                  |
| websites         | boolean | Returns associated websites URLs                    |
| office           | boolean | Returns associated office description               |
| status           | string  | Returns jobs with this specific status              |
| contract\_type   | string  | Returns jobs with this specific contract type       |
| per\_page        | integer | Number of jobs per page                             |
| page             | integer | Page offset                                         |
| created\_after   | string  | Returns jobs created after this date (YYYY-MM-DD)   |
| updated\_after   | string  | Returns jobs updated after this date (YYYY-MM-DD)   |
| published\_after | string  | Returns jobs published after this date (YYYY-MM-DD) |

{% tabs %}
{% tab title="200 Success" %}

```
[
  {
    "name" : "Fake Job 1",
    "external_reference" : "PROVIDER_REFERENCE1",
    "organization_reference" : "Pg4eV6k",
    "status" : "draft",
    "profile" : "Fake Job Profile",
    "apply_url" : "http://company.com/jobs/superjob/apply/",
    "company_description" : "Fake Company Description.",
    "contract_duration_min" : null,
    "experience_level" : "1_TO_2_YEARS",
    "department_id" : null,
    "profession_reference" : "sales",
    "cms_sites_references" : "wttj_fr",
    "contract_duration_max" : null,
    "start_date" : "2016-09-01T00:00:00.000+02:00",
    "description" : "Fake Job Description.",
    "contract_type" : "FULL_TIME",
    "language": "en",
    "salary": {
      "min": "30000",
      "max": "40000",
      "currency": "EUR",
      "period": "yearly"
    },
    "remote" : "no",
    "office_id" : 196,
    "reference" : "WTTJ_gld0A7L",
    "education_level" : "BAC_5",
    "created_at" : "2017-11-13T17:15:26.146+01:00",
    "updated_at" : "2017-11-13T17:15:26.146+01:00",
    "published_at" : "2017-11-13T18:00:01.146+01:00",
    "archived_at" : null
  },
  {
    "name" : "Fake Job 2",
    "external_reference" : "PROVIDER_REFERENCE2",
    "organization_reference" : "Pg4eV6k",
    "status" : "draft",
    "profile" : "Fake Job Profile",
    "apply_url" : "http://company.com/jobs/superjob/apply/",
    "company_description" : "Fake Company Description.",
    "contract_duration_min" : null,
    "experience_level" : "1_TO_2_YEARS",
    "department_id" : null,
    "profession_reference" : "sales",
    "cms_sites_references" : "wttj_fr,smgo_fr,btbw_fr",
    "contract_duration_max" : null,
    "start_date" : "2016-09-01T00:00:00.000+02:00",
    "description" : "Fake Job Description.",
    "contract_type" : "FULL_TIME",
    "salary": {
      "min": "30000",
      "max": "40000",
      "currency": "EUR",
      "period": "yearly"
    },
    "remote" : "fulltime",
    "office_id" : 196,
    "reference" : "WTTJ_gld0A7L",
    "education_level" : "BAC_5",
    "created_at" : "2017-11-13T17:15:26.146+01:00",
    "updated_at" : "2017-11-13T17:15:26.146+01:00",
    "published_at" : "2017-11-13T18:00:01.146+01:00",
    "archived_at" : null
  }
]
```

{% endtab %}
{% endtabs %}

Request example

```
curl -X GET -G "https://www.welcomekit.co/api/v1/external/jobs/all" \
    -H "Authorization: Bearer WK_API_KEY" \
    -d "status=published" \
    -d "created_after=2017-10-30"
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://developers.welcomekit.co/jobs-api/jobs/list-all-jobs.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
